Solicitar alteracao de dados bancarios
curl --request PATCH \
--url https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account/account-data \
--header 'Content-Type: application/json' \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>' \
--data '
{
"ispb": "00000000",
"bankName": "Banco do Brasil",
"bankAgency": "1234",
"bankAccount": "56789",
"bankAccountDv": "0",
"bankAccountType": "conta_corrente",
"bankCode": "001"
}
'import requests
url = "https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account/account-data"
payload = {
"ispb": "00000000",
"bankName": "Banco do Brasil",
"bankAgency": "1234",
"bankAccount": "56789",
"bankAccountDv": "0",
"bankAccountType": "conta_corrente",
"bankCode": "001"
}
headers = {
"client-secret": "<api-key>",
"client-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'client-secret': '<api-key>',
'client-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ispb: '00000000',
bankName: 'Banco do Brasil',
bankAgency: '1234',
bankAccount: '56789',
bankAccountDv: '0',
bankAccountType: 'conta_corrente',
bankCode: '001'
})
};
fetch('https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account/account-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Subcontas
Solicitar alteração de dados bancários
Cria uma solicitacao de alteracao dos dados da conta bancaria (ispb, bankName, codigo do banco, agencia, conta, digito verificador, tipo). Todos os campos sao obrigatorios. A alteracao fica pendente ate aprovacao.
PATCH
/
v1
/
submerchants
/
{internalId}
/
bank-account
/
account-data
Solicitar alteracao de dados bancarios
Headers
Secret da credencial do merchant
ID público da credencial do merchant
Path Parameters
Identificador interno (UUID) da subconta
Body
application/json
ISPB da instituição financeira (8 dígitos numéricos)
Pattern:
^\d{8}$Example:
"00000000"
Nome do banco
Maximum string length:
100Example:
"Banco do Brasil"
Agência bancária
Maximum string length:
20Example:
"1234"
Número da conta bancária
Maximum string length:
30Example:
"56789"
Dígito verificador da conta
Maximum string length:
5Example:
"0"
Tipo da conta bancária
Available options:
conta_corrente, conta_poupanca Example:
"conta_corrente"
Código do banco (3 dígitos numéricos)
Pattern:
^\d{3}$Example:
"001"
Response
Solicitacao de alteracao criada com sucesso
⌘I

